Java - Write Once, Pwn Anywhere
Written by Alex Armstrong   
Friday, 16 August 2013

How serious is the Java security situation? Probably fine as long as you update to the latest version, but how many do and even if you do are you still safe from old versions? This  infographic might make you more worried about the situation.

Bit9 is very interested in helping companies secure their infrastructure and has a report and an infographic about the Java vulnerabilities that have made so much noise in the technical press lately.

Based on an analysis of over one million end points, Bit9 concludes that, while the latest version of Java is safer, far too many companies have older versions. What is worse, a range of different versions are often in use. The explanation seems to be that Java updates didn't remove older versions for reasons of compatibility. The argument is that the older versions also allow attackers a way into the system. 

Click for larger version

javavulnsmall 

You might also like to see a video explaining what Bit9 thinks the problem is and, of course, what solutions it is offering.

 

Yes, it's a sales pitch, but quite an interesting one:

 javavulnICON

 

 

More Information

Java Vulnerabilities Report: Write Once, Pwn Anywhere

Related Articles

Java EE 7 Approved

Java 8 Delayed

Another Java 7 Security Flaw

Java Is Top Attack Target

 

To be informed about new articles on I Programmer, install the I Programmer Toolbar, subscribe to the RSS feed, follow us on, Twitter, FacebookGoogle+ or Linkedin,  or sign up for our weekly newsletter.

 

graphics

 



 

Comments




or email your comment to: comments@i-programmer.info

 

Banner


MasterTracks and Professional Certificates in Data Science on Coursera
12/09/2019

Coursera has introduced two new types of credentials and has  Data Science offering for both of them. The new MasterTrack courses will be of interest to those looking to gain a Masters Degree whi [ ... ]



Python 2 End Of Life Threatens Security
28/08/2019

Python 2's end of life is fast approaching and the UK's National Cyber Security Centre has issued a warning to developers still clinging on to Python 2 of risks they will face as a result of no more b [ ... ]


More News

 

 

Last Updated ( Friday, 16 August 2013 )